Bug 56083 - Doesn't rebuild in current environment
Doesn't rebuild in current environment
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gtk2 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On: 55870
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-12 12:08 EST by Bernhard Rosenkraenzer
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-09 00:53:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2001-11-12 12:08:24 EST
gtk2 does not build with automake 1.5.

+ automake
automake: configure.in: required file `./depcomp' not found
/usr/share/automake/am/depend2.am: AMDEP does not appear in AM_CONDITIONAL
/usr/share/automake/am/depend2.am: AMDEP does not appear in AM_CONDITIONAL
/usr/share/automake/am/depend2.am: AMDEP does not appear in AM_CONDITIONAL
/usr/share/automake/am/lang-compile.am: AMDEP does not appear in 
AM_CONDITIONAL
/usr/share/automake/am/depend2.am: AMDEP does not appear in AM_CONDITIONAL
/usr/share/automake/am/depend2.am: AMDEP does not appear in AM_CONDITIONAL
/usr/share/automake/am/depend2.am: AMDEP does not appear in AM_CONDITIONAL
/usr/share/automake/am/lang-compile.am: AMDEP does not appear in 
AM_CONDITIONAL
demos/gtk-demo/Makefile.am:59: gtk_demo_SOURCES includes configure 
substitution
`@STRIP_BEGIN@'
demos/gtk-demo/Makefile.am:59: gtk_demo_SOURCES includes configure 
substitution
`@STRIP_END@'
/usr/share/automake/am/depend2.am: AMDEP does not appear in AM_CONDITIONAL
/usr/share/automake/am/depend2.am: AMDEP does not appear in AM_CONDITIONAL
/usr/share/automake/am/depend2.am: AMDEP does not appear in AM_CONDITIONAL
/usr/share/automake/am/lang-compile.am: AMDEP does not appear in 
AM_CONDITIONAL
[...]

The depcomp issue could be fixed with fixing bug 55870; the others will 
require more work.
Comment 1 Jens Petersen 2001-12-18 03:09:59 EST
After replacing "automake" by "autoreconf" in the spec file of gtk2-1.3.11-1, it
built fine for me with autoconf-2.52-4, automake-1.5-1 and libtool-1.4.2-2.

--- gtk2.spec~	Tue Dec 18 17:03:53 2001
+++ gtk2.spec	Tue Dec 18 17:03:53 2001
@@ -344,7 +344,7 @@
 
 rm ltmain.sh && cp %{SOURCE2} ltmain.sh
 # Patch1 modifies modules/input/Makefile.am
-automake
+autoreconf
 %configure --with-xinput=xfree --disable-gtk-doc
 make %{?_smp_mflags}
 
Comment 2 Owen Taylor 2002-04-11 14:57:31 EDT
We now have parallel installable packages and run automake-1.4.

Note You need to log in before you can comment on or make changes to this bug.